#include "vision.h"
//#include "grader.cpp"
#include <bits/stdc++.h>
using namespace std;

vector<int> getVisionPattern1d() {
    return { 1, 1, 2, 1, 3 };
}

int getMove1d(vector<int> v) {
    int V = (v.size() - 1) / 2;
    if (V == 3) {
        return (v.back() == 2 ? v.size() - 1 : 0);
    }
    if (V == 2) {
        return (v.back() == 3 ? v.size() - 1 : 0);
    }
    if (V == 2) {
        return (v.back() == 3 ? v.size() - 1 : 0);
    }
    if (V == 1) {
        if (v[0] == 3)  { return 0; }
        if (v[2] == 3)  { return 2; }
        if (v[0] == 2)  { return 0; }
        if (v[2] == 2)  { return 2; }
    }
    assert(false);
}

vector<vector<int>> getVisionPattern2d() {
    return {{1}};
}

pair<int, int> getMove2d(vector<vector<int>> v) {
    return {0, 0};
}
